Subject: Re: bug#78807: 31.0.50; Wave underline set wrongly

From: Eli Zaretskii <[email-masked]>
Date: Mon, 16 Jun 2025 19:17:01 +0300

> Date: Mon, 16 Jun 2025 17:41:18 +0200
> From:  Ergus via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> I am using emacs on tmux, which does not support wave underline (it
> prints it as normal text)
> 
> echo -e "\e[4:3mThis is normal text in tmux\e[0m"
> 
> When I try
> 
> (display-supports-face-attributes-p '(:underline (:style wave)))
> 
> it returns t, which for tmux it seems like it shouldn't.
> 
> So this makes that faces like `flyspell-incorrect` look like normal text
> and no highlight is visible at all.

I suggest to report this to the developers of tmux: they should make
sure the terminfo entry correctly reflects the actual capabilities
they support.  As you can see in tty_capable_p, Emacs just looks at
the capabilities reported by terminfo.